<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="maximum-scale=1.0,minimum-scale=1.0,user-scalable=0,width=device-width,initial-scale=1.0"/>
    <meta name="format-detection" content="telephone=no,email=no,date=no,address=no">
    <title></title>
    <link rel="stylesheet" type="text/css" href="../../css/api.css">
    <link rel="stylesheet" type="text/css" href="../../css/style.css"/>
    <link rel="stylesheet" href="../../css/aui.css">
    <link rel="stylesheet" href="../../css/projeck.css">
    <style>
        body,html{
            background: #F3F3F3;
            overflow: hidden;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            box-sizing: border-box;
            position: relative;
        }
        .api_layout{
            height: 100%;
            overflow-y: scroll;
            -webkit-overflow-scrolling: touch;
        }
        .contents{
            padding: 7px;
        }
        .Notice{
            margin-bottom: 7px;
            padding: 0;
        }
        .paddings{
            padding: 15px 15px 20px 15px;
        }
        .circularR{
            width: 60px;
            height: 60px;
            -webkit-border-radius: 50%;
            -moz-border-radius: 50%;
            border-radius: 50%;
            line-height: 58px;
            text-align: center;
            margin: 10px 0;
            font-size: 16px;
            color: #fff;
        }
        .Chart .centertT:nth-child(1) .circularR{
            background: #27AE60;
        }
        .Chart .centertT:nth-child(2) .circularR{
            background: #FC2449;
        }
        .Chart .centertT:nth-child(3) .circularR{
            background: #3498DB;
        }
        .Chart .centertT:nth-child(4) .circularR{
            background: #2C3E50;
        }
        .Chart{
            margin-top: 30px;
        }
        /*工作面简介*/
        .Stitle .ico{
            width: 20px;
            height: 20px;
            background-position: center;
            margin-right: 12px;
            position: relative;
            top: -1px;
        }
        .ico-img{
            width: 20px;
            height: 20px;
            margin-right: 12px;
            position: relative;
            top: -2px;
        }
        .Stitle .security-ico{
            background: url('../../icon/security.png') no-repeat;
            background-size: cover;
        }
        .Stitle .location-ico{
            background: url('../../icon/location.png') no-repeat;
            background-size: cover;
        }
        .Stitle .TV-ico{
            background: url('../../icon/tv.png') no-repeat;
            background-size: cover;
        }
        .Stitle .tel-ico{
            background: url('../../icon/tel.png') no-repeat;
            background-size: cover;
        }
        .padding-top{
            padding-top: 25px;
        }
        .main p{
            text-indent: 30px;
            font-size: 15px;
            color: #232627;
            line-height: 1.6;
            padding-top: 15px;
        }
        .introduction{
            flex-wrap: wrap;
            padding-bottom: 10px;
        }
        .introduction li{
            width: 25%;
            text-align: center;
            margin-bottom: 10px;
        }
        .introduction li i{
            display: block;
            width: 45px;
            height: 45px;
            margin:auto;
            margin-bottom: 10px;
        }
        .introduction li:nth-child(1) i{
            background: url('../../icon/dj.png') no-repeat;
            background-size: cover;
        }
        .introduction li:nth-child(2) i{
            background: url('../../icon/aq.png') no-repeat;
            background-size: cover;
        }
        .introduction li:nth-child(3) i{
            background: url('../../icon/zd.png') no-repeat;
            background-size: cover;
        }
        .introduction li:nth-child(4) i{
            background: url('../../icon/jx.png') no-repeat;
            background-size: cover;
        }
        .introduction li:nth-child(5) i{
            background: url('../../icon/px.png') no-repeat;
            background-size: cover;
        }
        .introduction li:nth-child(6) i{
            background: url('../../icon/js.png') no-repeat;
            background-size: cover;
        }
        .introduction li:nth-child(7) i{
            background: url('../../icon/cx.png') no-repeat;
            background-size: cover;
        }
        .introduction li:nth-child(8) i{
            background: url('../../icon/ry.png') no-repeat;
            background-size: cover;
        }
        /*查看详情*/
        .Stitle{
            position: relative;
        }
        .mores{
            display: block;
            position: absolute;
            top:1px;
            right: 0;
            width: 20px;
            height: 20px;
            background: url("../../icon/right.png") no-repeat;
            background-size: cover;
        }
        .tv-list{
            flex-wrap: wrap;
        }
        .tv-list li{
            width: 33.33%;
            text-align: center;
            color: #455A64;
            font-size: 14px;
            margin-bottom: 10px;
        }
        .tv-list li i{
            display: block;
            width: 50px;
            height: 50px;
            margin: auto;
            margin-bottom: 14px;
        }
        .tv-list li:nth-child(1) i{
            background: url("../../icon/v1.png") no-repeat;
            background-size: contain;
        }
        .tv-list li:nth-child(2) i{
            background: url("../../icon/v2.png") no-repeat;
            background-size: contain;
        }
        .tv-list li:nth-child(3) i{
            background: url("../../icon/v3.png") no-repeat;
            background-size: contain;
        }
        .tv-list li:nth-child(4) i{
            background: url("../../icon/v4.png") no-repeat;
            background-size: contain;
        }
        .tv-list li:nth-child(5) i{
            background: url("../../icon/v5.png") no-repeat;
            background-size: contain;
        }
        .tv-list li:nth-child(6) i{
            background: url("../../icon/v6.png") no-repeat;
            background-size: contain;
        }
        .tv-list li:nth-child(7) i{
            background: url("../../icon/v7.png") no-repeat;
            background-size: contain;
        }
        .tv-list li:nth-child(8) i{
            background: url("../../icon/v8.png") no-repeat;
            background-size: contain;
        }
        .tv-list li:nth-child(9) i{
            background: url("../../icon/v9.png") no-repeat;
            background-size: contain;
        }
        .itmes{
            font-size: 14px;
            text-align: center;
            padding-top: 20px;
            flex-wrap: wrap;
        }
        .itmes li{
            padding: 10px 0;
            width: 48%;
        }
        .itmes p{
            width: 48%;
            color: #232627;
        }
        .itmes span{
            width: 48%;
            color: #232627;
            background: #8ADAFF;
        }
        /*安全监测列表*/
        .nav_title{
            width: 100%;
            padding: 0 5px;
            background: #F3F6FA;
        }
        .nav_title li{
            text-align: center;
            font-size: 14px;
            padding: 15px 0 ;
            color: #232627;
        }
        .li-box{
            font-size: 14px;
            color: #232627;
            padding: 15px 0;
        }
        .downWellPersonnal li{
          position: relative;
          align-items: center;
        }
        .downWellPersonnal li:after{
          content: '';
          width: 100%;
          height: 1px;
          background: #E8E9EA;
          position: absolute;
          bottom: 0;
          left: 0;
        }
    </style>
</head>
<body>
<div class="api_layout">
    <div class="contents">
        <!-- 工作面简介 -->
        <div class="Notice borderRa">
            <div class="paddings">
                <div class="main">
                    <img src="http://jiewei-icon.oss-cn-beijing.aliyuncs.com/220704%E8%87%AA%E5%8A%A8%E5%8C%96%E5%B7%A5%E4%BD%9C%E9%9D%A2/220704-%E7%AE%80%E4%BB%8B.png?nsukey=S%2F5bJbhnXmekERZkyMUrFPbgWX3BT87kXzNMz9Owr6QDQlO44mUjEVZAndi1y9DB67vu5trhN5GHPk0AFANRdWrduyPW3eAGmU9%2FYsAeqb%2FxdF%2FTtngB01CEsBFUfbbyCtOW0%2B6gPbnjSiANWJ0e2%2FuaYlBDXWfmdjIBLhNNNBsnesbXvMjFPdZ4mdIz5oIu3na2gNhduSGp14uQlXUrig%3D%3D" alt="">
                    <p>
                    枣泉煤矿220704智能开采工作面为国家2030重点科研攻关项目和国家能源集团重点建设的20个智能化工作面之一,工作面可采走向长度1590米，倾向长度284.6米，煤层平均厚度2.35米，平均倾角13.4°，预计回采原煤153.87万吨左右。项目自启动以来，历时65天完成了自动化工作面安装调试工作,该工作面由自动化控制系统、电液控制系统、智能远程供液系统、语音通讯系统和顺槽输送机控制系统五部分组成，通过机巷的集控中心对工作面设备割煤、推溜、移架等工序实行信息化、数字化、可视化、精准化“远程操作”，目前井下顺槽监控中心和地面分控中心实现设备“一键启停”(设备包括乳化液泵站、破碎机等设备)，工作面实现了2000米远程特高压供液系统，同时实现了工作面数据无线传输。为枣泉矿打造高质量发展的智慧矿山迈出了坚实步伐。
                    </p>
                </div>
            </div>
            <ul class="introduction flex-space">
                <li onclick="linkQrcode('9d0676f84e544bcb9327edffe5951db5','区队概况')">
                    <i></i>
                    <p>区队概况</p>
                </li>
                <li onclick="linkQrcode('fed1e751568b42e5a22ce77cf80348e0','安全管理')">
                    <i></i>
                    <p>安全管理</p>
                </li>
                <li onclick="linkQrcode('76734cbabd984798b58ba689bab39383','管理制度')">
                    <i></i>
                    <p>管理制度</p>
                </li>
                <li onclick="linkQrcode('7a6375cb628a482bbf4ee7ad9f24f5f7','绩效管理')">
                    <i></i>
                    <p>绩效管理</p>
                </li>
                <li onclick="linkQrcode('ea188eecfffa4a0a91b48529989306e8','智慧培训')">
                    <i></i>
                    <p>智慧培训</p>
                </li>
                <li onclick="linkQrcode('681f83e5460e412d8ee1af6643793e88','技术管理')">
                    <i></i>
                    <p>技术管理</p>
                </li>
                <li onclick="linkQrcode('ddd84498da2b4fd0b3b380a22e78f798','创新管理')">
                    <i></i>
                    <p>创新管理</p>
                </li>
                <li onclick="linkQrcode('3d79d003fa834516b147f5a7815572d3','人员信息')">
                    <i></i>
                    <p>人员信息</p>
                </li>
            </ul>
        </div>
        <!-- 今日产量 -->
        <div class="Notice borderRa beforS" id="todayYield"></div>
        <!--安全监测-->
        <div class="Notice borderRa beforS" id="securityId"></div>
        <!--当前井下人员-->
        <div class="Notice borderRa beforS" id="EchartsID"></div>
        <!--工业电视-->
        <div class="Notice borderRa beforS" id="tv_list"></div>
        <!--采煤机-->
        <div id="mians"></div>
        <!-- 联系电话 -->
        <div class="Notice borderRa beforS" id="telID"></div>
    </div>
</div>

<!-- 今日产量 -->
<script type="text/template" id="templateToday">
    <div class="paddings">
        <p class="Stitle centertT flex-center">
            今日产量
            <span class="mores" onclick="effectControl()"></span>
        </p>
        <div class="" style="width:100%">
            <canvas id="todayDownWell" style="width: 100%;margin-top:10px;height:210px"></canvas>
        </div>
    </div>
</script>
<!-- 安全监测 -->
<script type="text/template" id="templateSecurity">
    <div class="paddings" style="padding:15px 0 20px 0">
        <p class="Stitle centertT flex-center" style="right: 15px;">
            <i class="ico security-ico"></i>
            安全监测
            <span class="mores" onclick="securityMonitor()"></span>
        </p>
        <div class="Chart flex-space" style="padding:0 15px;">
            {{~it:value:index}}
            {{?index<4}}
            <div class="canvasParent centertT" onclick="securityList('{{=value.name}}','{{=value.type}}')">
                <span class="canvasTitle">{{=value.name}}</span>
                <div class="circularR sales">{{=value.count}}个</div>
            </div>
            {{?}}
            {{~}}
        </div>
        <!--列表-->
        <nav style="padding-top:20px">
            <ul class="nav_title flex-wrap flex-start">
              <li style="width:25%;">测点编号</li>
              <li style="width:50%;padding:0 5px;">安装地点</li>
              <li style="width:25%;">数值/状态</li>
            </ul>
        </nav>
        <ul class="downWellPersonnal" id="downWellPersonnal">

        </ul>
    </div>
</script>
<script type="text/template" id="templateList">
  {{~it:value:index}}
    <li class="flex-wrap li-box centertT after-border">
      <span style="width:25%;">{{=value.id}}</span>
      <span style="width:50%;">{{=value.position}}</span>
      <span style="width:25%;">{{=value.value}}{{=value.unit}}</span>
    </li>
  {{~}}
</script>
<!-- 工业电视 -->
<script type="text/template" id="templateTv">
    <div class="paddings">
        <p class="Stitle centertT flex-center">
            <i class="ico TV-ico"></i>
            工业电视
            <span class="mores" onclick="videoMonitor()"></span>
        </p>
        <ul class="padding-top tv-list flex-start">
            {{~it:value}}
            <li onclick="SeeVideo('{{=value.cameraIndexCode}}','{{=value.cameraName}}','{{=value.regionIndexCode}}')">
                <i></i>
                <p>{{=value.cameraName}}</p>
            </li>
            {{~}}
        </ul>
    </div>
</script>
<!-- 人员定位 -->
<script type="text/template" id="templateEcharts">
    <div class="paddings">
        <p class="Stitle centertT flex-center">
            <i class="ico location-ico"></i>
            人员定位
            <span class="mores" onclick="personalLocationJu()"></span>
        </p>
        <div class="" style="width:100%">
            <canvas id="downWell" style="width: 100%;"></canvas>
        </div>
    </div>
</script>
<!-- 采煤机,刮板机 -->
<script type="text/template" id="templateCaimeiji">
    {{~it:value}}
    <div class="Notice borderRa beforS">
        <div class="paddings">
            <p class="Stitle centertT flex-center">
                <img class="ico-img" src="{{=value.icon}}" alt="">
                {{=value.name}}
                <span class="mores"></span>
            </p>
            <div class="padding-top">
                <img src="{{=value.banner}}" alt="">
                <ul class="itmes flex-space">
                    {{ for (var i=0;i<value.data.length;i++) { }}
                    <li class="flex-space">
                        <p>{{=value.data[i].name}}</p>
                        <span>{{=value.data[i].data.value}}{{=value.data[i].data.unit}}</span>
                    </li>
                    {{ } }}
                </ul>
            </div>
        </div>
    </div>
    {{~}}
</script>
<!-- 联系电话 -->
<script type="text/template" id="templateTel">
    <div class="paddings">
        <p class="Stitle centertT flex-center">
            <i class="ico tel-ico"></i>
            联系电话
        </p>
        <ul class="itmes flex-space">
          {{~it:value}}
            <li class="flex-space" onclick="callPhone('{{=value.tel}}')">
                <p>{{=value.name}}</p>
                <span>{{=value.tel}}</span>
            </li>
          {{~}}
        </ul>
    </div>
</script>


<script src="../../script/api.js"></script>
<script src="../../script/doT.min.js"></script>
<script src="../../script/zepto.js"></script>
<script src="../../script/f2.js"></script>
<script src="../../script/config.js"></script>
<script>
    var toast = new auiToast(),headers;
    var videoArray = []
    apiready = function () {
        var info = $api.getStorage('data'),
            token = JSON.parse(info).data.access_token;
        headers = {
            "Authorization": "Bearer " + token
        };
        todayDownWell() // 今日产量
        monitorListFun() // 安全监测
        getTvList() // 工业电视
        downWell() // 人员定位
        getShearerData() //采煤机
        telCall()//联系人

    };
    // 工作简介
    function linkQrcode(id,title) {
      $event.openWin('browseQrcode_win','../browseQrcode/browseQrcode_win',{pageId:id,title:title},'');
    }
    // 今日产量
    function todayDownWell() {
         $http.fnReuestDataNologing(UrlRouter.getBanNowDayAllTotal,'','get','',function (ret,err) {
           if (ret.status === 20000) {
             $apis.html(todayYield,'#templateToday','');
             var data = ret.data;
             var map = {};
             data.map(function(obj) {
                 map[obj.devName] = getInteger(obj.total) + '吨';
             });
             var chart = new F2.Chart({
                 id: 'todayDownWell',
                 pixelRatio: window.devicePixelRatio,
                 padding: [20, 'auto']
             });
             chart.source(data, {
                 percent: {
                     formatter: function formatter(val) {
                         return val + '吨';
                     }
                 }
             });
             chart.tooltip(false);
             chart.legend({
                 position: 'right',
                 itemFormatter: function itemFormatter(val) {
                     return val + '    ' + map[val];
                 }
             });
             chart.coord('polar', {
                 transposed: true,
                 innerRadius: 0.7,
                 radius: 0.85
             });
             chart.axis(false);
             chart.interval().position('conts*total').color('devName', ['#1890FF', '#13C2C2', '#2FC25B', '#FACC14', '#F04864', '#8543E0', '#3436C7', '#223273']).adjust('stack');

             chart.guide().html({
                 position: ['50%', '45%'],
                 html: '<div style="width: 250px;height: 40px;text-align: center;">' + '<div style="font-size: 16px">总产量</div>' + '<div style="font-size: 18px">'+getInteger(ret.data[0].count)+' 吨</div>' + '</div>'
             });
             chart.render();
           }
         })
     }
    // 安全监测
    function monitorListFun (){
        var param = {
            name:'220704',
            like:1
        }
        $http.fnReuestDataNologing(UrlRouter.getSafetyTotal,'','post',param,function(ret,err){
            if (ret && ret.code === 0) {
                $apis.html(securityId,'#templateSecurity',ret.data);
                monitorList()
            }else if (ret.code == 1) {
                api.toast({
                    msg: '网络请求超时,请稍后重试',
                    duration: 2000,
                    location: 'bottom'
                });
            }
        })
    }
    function monitorList (){
        $http.fnReuestDataNologing(UrlRouter.getSafetyList,'','post','',function(ret,err){
            if (ret && ret.code === 0) {
                $apis.html(downWellPersonnal,'#templateList',ret.data);
            }
        })
    }
    function securityList(name,type) {
      var params ={
        title:name,
        type:type
      }
      $event.openWin('securtyWin','securtyWin',params,'');
    }
    // 工业电视
    function getTvList(){
        var regionUuid ={
            indexCode:'fe6e66e1-2e1e-4dd6-8454-7994542c4d44',
            pageNum:1,
            pageSize:200
        };
        $http.fnReuestDataNologing(UrlRouter.selectResourceList,'','get',regionUuid,function(ret,err){
            if (ret && ret.code === '0') {
              var data = ret.data.list
                for (var i = 0; i < data.length; i++) {
                  if (data[i].cameraIndexCode == 'a4563a47725c4ab7aca8c18bad6a0982') {
                    videoArray.push(data[i])
                  }else if (data[i].cameraIndexCode == '6671bd0a7578485ca4b81f85b51a9560') {
                    videoArray.push(data[i])
                  }else if (data[i].cameraIndexCode == 'd09baca64e6143bd836d6a044a42d33c') {
                    videoArray.push(data[i])
                  }else if (data[i].cameraIndexCode == '5df5fe65d83a475085aa2a699755b2cb') {
                    videoArray.push(data[i])
                  }else if (data[i].cameraIndexCode == '966d2d7b7da44aa482140f0c797f3554') {
                    videoArray.push(data[i])
                  }else if (data[i].cameraIndexCode == 'a3e4e492aaf74bbe9786cf6d15b124bc') {
                    videoArray.push(data[i])
                  }else if (data[i].cameraIndexCode == 'acf2cae6fb8d4d9ba142dc41dde00d1c') {
                    videoArray.push(data[i])
                  }else if (data[i].cameraIndexCode == 'e7fc50ee10a24201b125a3eb57d49264') {
                    videoArray.push(data[i])
                  }
                }
                $apis.html(tv_list,'#templateTv','');
                vedioS()
            }
        })
    };
    function vedioS() {
      var regionUuid1 = {
        indexCode:'34b9245f-c3ef-4b58-aba4-79c99adcdb28',
        pageNum:1,
        pageSize:200
      }
      $http.fnReuestDataNologing(UrlRouter.selectResourceList,'','get',regionUuid1,function(ret,err){
          if (ret && ret.code === '0') {
            var datas= ret.data.list
              for (var i = 0; i < datas.length; i++) {
                if (datas[i].cameraIndexCode == 'd56e3c2dc3834e32904fd3b06c4b8f06') {
                  videoArray.push(datas[i])
                }
              }
              $apis.html(tv_list,'#templateTv',videoArray.sort((a,b)=>{
                return a.cameraName.split('#')[0] - b.cameraName.split('#')[0]
              }));
          }
      })
    }
    // 查看视频
    function SeeVideo(id,title,regionIndexCode1) {
        $http.fnReuestDataNologing(UrlRouter.selectResourcePreviewURLs,headers,'get',{cameraIndexCode:id,regionIndexCode:regionIndexCode1},function (ret, err) {
            if (ret.code === '0') {
                var pageParam = {
                    videoUrl:ret.data.url,
                    title:title
                }
                var video = api.require('modulehikvision');
                var param = {
                    url:'rtsp://120.253.43.7'+ret.data.url.substring(ret.data.url.lastIndexOf(':'))
                }
                video.start2HikVisionLogin(param);
            }
        })
    }
    // 采煤机, 刮板机 ,转载机,液压支架,运输皮带
    function getShearerData (){
        $http.fnReuestDataNologing(UrlRouter.getSelectWebSocketRequest,'','get','',function (ret,err) {
            $apis.html(mians,'#templateCaimeiji',ret);
        })
    }
    // 当前下井人数
    function downWell(){
        $http.fnReuestDataNologing(UrlRouter.getPersonalInfo,'','post',{area_id:'04'},function (ret,err) {
            if (ret.code === 0) {
                var data = ret.data.people_distribute;
                $apis.html(EchartsID,'#templateEcharts','');
                var map = {};
                data.map(function(obj) {
                    map[obj.depart_name] = obj.pepole_num + '人';
                });
                var dataClass= data.filter(function (item) {
                  return item.pepole_num>0
                })
                var chart = new F2.Chart({
                    id: 'downWell',
                    height:350,
                    pixelRatio: window.devicePixelRatio,
                    appendPadding:[30,15,15,15]
                });
                chart.source(dataClass, {
                    percent: {
                        formatter: function formatter(val) {
                            return val + '人';
                        }
                    }
                });
                chart.tooltip(false);
                chart.legend({
                    position: 'bottom',
                    align: 'center',
                    itemFormatter: function itemFormatter(val) {
                        return val + '    ' + map[val];
                    }
                });
                chart.coord('polar', {
                    transposed: true,
                    innerRadius: 0.6,
                    radius: 0.9
                });
                // 配置文本饼图
                chart.pieLabel({
                  sidePadding: 0,
                  label1: function label1(data) {
                    return {
                      text: data.depart_name,
                      fill: '#808080'
                    };
                  },
                  label2: function label2(data) {
                    return {
                      fill: '#000000',
                      text: data.pepole_num+'人',
                      fontWeight: 500,
                      fontSize: 10
                    };
                  }
                });
                chart.axis(false);
                chart.interval().position('const*pepole_num').color('depart_name', ['#3436C7','#2FC25B','#FACC14', '#d81e06', '#13C2C2']).adjust('stack');
                chart.guide().html({
                    position: ['50%', '45%'],
                    html: '<div style="width: 250px;height: 40px;text-align: center;" onclick="personalMap()">' + '<div style="font-size: 16px">总人数</div>' + '<div style="font-size: 18px">'+ret.data.people_total+'人</div>' + '</div>'
                });
                chart.render();
            }
        })
    }
    // 查看704人员定位详情
    function personalMap() {
      var params = {
        moduleType:'Working',
        title:'人员定位',
        name:'姓名',
        dep:'部门',
        position:'当前位置',
        time:'下井时间',
        url:UrlRouter.getPersonalMap,
        moduleParam:''
      }
      $event.openWin('personnelLocationDetails','../productionData/personnelLocationDetails',params,'');
    }
    // 联系人
    function telCall() {
      var data = [
        {name:'调度室',tel:'8811'},
        {name:'切眼下口',tel:'8341'},
        {name:'皮带机头',tel:'8342'},
        {name:'风巷上口',tel:'8343'},
        {name:'辅巷泵站',tel:'8345'},
        {name:'控制台',tel:'8337'},
        {name:'22运上1#给煤机',tel:'8391'},
        {name:'22运上2#给煤机',tel:'8397'},
        {name:'22运上皮带机头',tel:'8151'},
        {name:'22采区变电所',tel:'8153'}
      ]
       $apis.html(telID,'#templateTel',data);
    }
    // 拨打电话
    function callPhone(tel) {
      api.call({
          type: 'tel_prompt',
          number:tel
      });
    }
    // 安全监测权限
    function securityMonitor() {
        $http.fnReuestDataNologing(UrlRouter.securityJurisdiction,headers,'post','',function (ret,err) {
            if(ret.code === 0) {
                $event.openWin('securityMonitor','../productionData/securityMonitor','','');
            }else if (ret.code === 1) {
                api.alert({
                    title: '提示',
                    msg: '该用户没有此权限',
                });
            }
        })
    }
    // 人员定位权限
    function personalLocationJu() {
        $http.fnReuestDataNologing(UrlRouter.personalLocation,headers,'post','',function (ret,err) {
            if(ret.code === 0) {
                $event.openWin('persnoalLocation','../productionData/persnoalLocation','','');
            }else if (ret.code === 1) {
                api.alert({
                    title: '提示',
                    msg: '该用户没有此权限',
                });
            }
        })
    }
    // 视频详情
    function videoMonitor() {
        $http.fnReuestDataNologing(UrlRouter.regionApi,headers,'get','',function (ret,err) {
            if (ret.code === 0) {
                $event.openWin('videoMonitor','../video/videoMonitor','','')
            }else if (ret.code === 1) {
                api.alert({
                    title: '提示',
                    msg: '该用户没有此权限',
                });
            }
        })
    }
    // 生产数据详情
    function effectControl() {
        $http.fnReuestDataNologing(UrlRouter.efficacyShow,headers,'post','',function (ret,err) {
            if(ret.code === 0) {
                $event.openWin('efficiencyWin','../productionData/efficiencyWin','','');
            }else if (ret.code === 1) {
                api.alert({
                    title: '提示',
                    msg: '该用户没有此权限',
                });
            }
        })
    }
    // 取整数
    function getInteger(data) {
      return Math.floor(data/1)
    }
</script>
</body>
</html>
